/**
 * DROPDOWN MENU
 *
*/
/* DROPDOWN MENU STYLES */
.rtds-dropdown-menu__list[style*="block"] {
    z-index: 10;
}
.rtds-dropdown-menu__list,
    .rtds-dropdown-menu__item {
        border-color: var(--color-border-gray-01);
    }
@media (min-width: 1024px) {
    .rtds-dropdown-menu__list:where(.is-open) {
        top: 100%;
    }
}
.rtds-dropdown-menu__item {
    border-bottom-width: 1px;
}
.rtds-dropdown-menu__item:last-of-type {
    border-bottom-width: 0px;
}
.rtds-dropdown-menu__link {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding: var(--spacing-3);
}
.rtds-dropdown-menu__link:hover {
    text-decoration-line: underline;
        background-color: var(--color-background-02);
}
.rtds-dropdown-menu__link:focus {
        background-color: var(--color-background-02);
    }
/* DROPDOWN TRIGGER */
.rtds-dropdown-menu__trigger[aria-expanded="true"]::after {
    position: absolute;
    left: var(--spacing-0);
    bottom: var(--spacing-0);
    display: block;
    height: 1px;
    width: 100%;
    border-top-width: 2px;
    border-color: currentColor;
    content: var(--tw-content);
    background-color: transparent;
}
/* ACTIONS VARIANT STYLES */
.is-dropdown-menu--actions {
    position: relative;
    justify-content: flex-end;
    display: flex;
}
.is-dropdown-menu--actions .rtds-dropdown-menu__trigger {
        background-color: var(--color-button-inverted);
        border-color: var(--color-button-inverted);
        color: var(--color-button-inverted-text);
    }
.is-dropdown-menu--actions .rtds-dropdown-menu__trigger:hover {
        background-color: var(--color-button-inverted-hover);
        border-color: var(--color-button-inverted-hover);
        color: var(--color-button-inverted-text-hover);
    }
.is-dropdown-menu--actions .rtds-dropdown-menu__trigger:focus {
        background-color: var(--color-button-inverted-focus);
        border-color: var(--color-button-inverted-focus);
        color: var(--color-button-inverted-text-focus);
    }
.is-dropdown-menu--actions .rtds-dropdown-menu__trigger:active {
        background-color: var(--color-button-inverted-active);
        border-color: var(--color-button-inverted-active);
        color: var(--color-button-inverted-text-active);
    }
.is-dropdown-menu--actions .rtds-dropdown-menu__trigger {
    height: var(--spacing-10);
    width: var(--spacing-10);
    border-radius: 9999px;
        color: var(--color-content-01);
        border-color: var(--color-border-gray-04);
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
    border-width: 1px;
}
.is-dropdown-menu--actions .rtds-dropdown-menu__trigger[aria-expanded="true"] {
        color: var(--color-content-inverse);
        background-color: var(--color-background-08);
    }
.is-dropdown-menu--actions .rtds-dropdown-menu__list {
    position: absolute;
    right: var(--spacing-0);
    top: var(--spacing-10);
    z-index: 10;
    width: 25ch;
    border-radius: 0.25rem;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
        border-color: var(--color-border-gray-01);
    border-width: 1px;
}
.is-dropdown-menu--actions .rtds-dropdown-menu__item {
    border-style: none;
    display: flex;
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link {
    gap: var(--spacing-0-5);
    font-size: var(--fontsize-text-sm);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon),.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon-square) {
    width: var(--spacing-6);
    height: var(--spacing-6);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon-right),.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon-left) {
    gap: var(--spacing-1-5);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon-right) {
    padding-right: var(--spacing-3);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon-left) {
    padding-left: var(--spacing-3);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon),.is-dropdown-menu--actions .rtds-dropdown-menu__link:where(.rtds-btn--icon-square) {
    padding-left: var(--spacing-0);
    padding-right: var(--spacing-0);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link {
    width: 100%;
    justify-content: flex-start;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding: var(--spacing-3);
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
        color: var(--color-content-primary-dark);
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link:hover {
    text-decoration-line: underline;
        background-color: var(--color-background-02);
}
.is-dropdown-menu--actions .rtds-dropdown-menu__link:focus {
        background-color: var(--color-background-02);
    }
/* MEGAMENU STYLES */
@media (min-width: 1024px) {

    .rtds-dropdown-menu__megamenu.is-open {
        background-color: var(--color-background-02);
    }
}
.has-megamenu .rtds-dropdown-menu__item {
    border-style: dashed;
        border-color: var(--color-border-gray-03);
    font-weight: 700;
}
.has-megamenu .rtds-dropdown-menu__item:last-of-type {
    border-bottom-width: 1px;
}
.has-megamenu .rtds-dropdown-menu__list {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
}
@media (min-width: 1024px) {
    .has-megamenu .rtds-dropdown-menu__list {
        display: grid;
        grid-template-columns: repeat(3, minmax(0, 1fr));
        -moz-column-gap: var(--spacing-8);
             column-gap: var(--spacing-8);
        background-color: transparent;
        padding: var(--spacing-4);
    }
}
@media (min-width: 1280px) {
    .has-megamenu .rtds-dropdown-menu__list {
        grid-template-columns: repeat(4, minmax(0, 1fr));
        -moz-column-gap: var(--spacing-10);
             column-gap: var(--spacing-10);
    }
}
.has-megamenu .rtds-dropdown-menu__link {
    padding: var(--spacing-4);
    font-size: var(--fontsize-text-base);
        color: var(--color-content-02);
}
@media (min-width: 1024px) {
    .has-megamenu .rtds-dropdown-menu__link {
        background-color: transparent;
    }
}
@media (min-width: 1280px) {
    .has-megamenu .rtds-dropdown-menu__link {
        font-size: var(--fontsize-text-lg);
    }
}
body.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop,
    :root.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop {
    position: fixed;
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    left: var(--spacing-0);
    z-index: 10;
}
@media (min-width: 1024px) {
    body.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop,
    :root.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop {
        display: none;
    }
}
body.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop,
    :root.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop {
    position: fixed;
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    left: var(--spacing-0);
    z-index: 10;
}
@media (min-width: 1024px) {
    body.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop,
    :root.rtds-dropdown-menu__megamenu.is-hidden .rtds-primary-navigation__backdrop {
        display: none;
    }
}
.rtds-dropdown-menu__megamenu.is-hidden {
    visibility: hidden;
    position: absolute;
    overflow: hidden;
}
@media (min-width: 1024px) {
    .rtds-dropdown-menu__megamenu.is-hidden {
        position: static;
        display: none;
    }
}
/* MEGAMENU MOBILE */
.rtds-dropdown-menu.has-megamenu {
    z-index: 20;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
}
@media (min-width: 1024px) {
    .rtds-dropdown-menu.has-megamenu {
        position: static;
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
        z-index: auto;
    }
}
.rtds-dropdown-menu.has-megamenu.has-dropdown-open {
    position: absolute;
    top: var(--spacing-0);
    left: var(--spacing-0);
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    z-index: 30;
}
@media (min-width: 1024px) {
    .rtds-dropdown-menu.has-megamenu.has-dropdown-open {
        position: static;
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
    }
}
.rtds-dropdown-menu__megamenu .rtds-dropdown-menu__list {
    visibility: hidden;
    position: relative;
    left: 100%;
    right: var(--spacing-0);
    height: var(--spacing-0);
    width: var(--spacing-0);
    --tw-translate-x: 100%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    opacity: 0;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
@media (min-width: 1024px) {
    .rtds-dropdown-menu__megamenu .rtds-dropdown-menu__list {
        left: auto;
        right: auto;
        height: auto;
        width: 100%;
        --tw-translate-x: var(--spacing-0);
        transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    }
}
.rtds-dropdown-menu__megamenu.is-open .rtds-dropdown-menu__list {
    visibility: visible;
    left: var(--spacing-0);
    width: 100%;
    --tw-translate-x: var(--spacing-0);
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    opacity: 1;
}
/* MANAGING NAV PANEL DROPDOWN OPEN */
:where(.rtds-primary-navigation.has-megamenu) .has-inner-dropdown-open {
    position: absolute;
    top: var(--spacing-0);
    left: var(--spacing-0);
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    z-index: 30;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
}
@media (min-width: 1280px) {
    :where(.rtds-primary-navigation.has-megamenu) .has-inner-dropdown-open {
        position: static;
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
        z-index: auto;
        background-color: transparent;
    }
}
